UserClassFilePermissions (Gradle API 8.11.1)

Package org.gradle.api.file

## Interface UserClassFilePermissions

- All Known Subinterfaces:
    `ConfigurableUserClassFilePermissions`

      public interface UserClassFilePermissions

  Describes file and directory access permissions for a certain class of users (see `FilePermissions`).

  Permissions consist of:

  - READ access: the capability to view the contents of a file, or to list the contents of a directory
  - WRITE access: the capability to modify or remove the contents of a file, or to add or remove files to/from a directory
  - EXECUTE access: the capability to run a file as a program; executing a directory doesn't really make sense, it's more like a traverse permission; for example, a user must have 'execute' access to the 'bin' directory in order to execute the 'ls' or 'cd' commands.
  Since:
    8.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getExecute()` | Describes if a certain class of users has execute access to a file or directory.
    `boolean` | `getRead()` | Describes if a certain class of users has read access to a file or directory.
    `boolean` | `getWrite()` | Describes if a certain class of users has write access to a file or directory.

- - ### Method Detail

    - #### getRead

          boolean getRead()

      Describes if a certain class of users has read access to a file or directory.

      Read access is the capability to view the contents of a file, or to list the contents of a directory.

    - #### getWrite

          boolean getWrite()

      Describes if a certain class of users has write access to a file or directory.

      Write access is the capability to modify or remove the contents of a file, or to add or remove files to/from a directory.

    - #### getExecute

          boolean getExecute()

      Describes if a certain class of users has execute access to a file or directory.

      Execute access is the capability to run a file as a program; executing a directory doesn't really make sense, it's more like a traverse permission; for example, a user must have 'execute' access to the 'bin' directory in order to execute the 'ls' or 'cd' commands.